Subject: bug#24972: 26.0.50; Multibyte characters are misaligned in ibuffer

From: Mark Oteiza <[email-masked]>
Date: Sun, 20 Nov 2016 13:58:16 -0500

Liu Hui <[email-masked]> writes:
> As shown in the screenshot attached, multibyte characters (the second
> line) are misaligned in ibuffer. The problem seems at least relevant
> to the function `ibuffer-compile-format', which uses `length' rather
> than `string-width' for characters.

Indeed, changing to string-width improves it. ibuffer should probably
also be using display properties to align the columns, but that's
another issue.

Committed in 7e2a8b1. Thanks for reporting